Download it now!
Bug 94017 - WIKIHELP: Imported heading 1 entries should be embedded as heading 2
Summary: WIKIHELP: Imported heading 1 entries should be embedded as heading 2
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.1.0
Keywords:
Depends on:
Blocks: New-Help
  Show dependency treegraph
 
Reported: 2015-09-08 10:22 UTC by Yousuf Philips (jay) (retired)
Modified: 2018-02-16 14:51 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2015-09-08 10:22:54 UTC
When <embed> entries are used to bring in a section, the heading in that section has to be turned from level 1 to level 2, as level 1 is for page titles.

Example File - /text/swriter/main0101.xhp
Syntax - <embed href="text/shared/01/01010000.xhp#neu"/>
Wikihelp URL - https://help.libreoffice.org/Writer/File

Notice that New comes in as "= [[Common/New|New]] =" while the non embedded Open comes is "== [[Common/Open_1|Open]] ==".
Comment 1 Buovjaga 2015-09-15 16:14:49 UTC
Confirmed.
Comment 2 Yousuf Philips (jay) (retired) 2016-04-01 13:42:32 UTC
Seems my work to fix the menus has fixed the issue at < https://help.libreoffice.org/Writer/File >, but the issue can still be seen at < https://help.libreoffice.org/Writer/Table > as '== [[Writer/AutoFormat_for_Tables|Table AutoFormat]] ==' should have been '= [[Writer/AutoFormat_for_Tables|Table AutoFormat]] ='.
Comment 3 Olivier Hallot 2018-02-12 19:16:03 UTC
The issue also applies to the new online help. Dependency set.
Comment 4 Commit Notification 2018-02-16 12:59:49 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=807a16ea2eda59452c92477b17702fc99943ba56

tdf#94017 embeded h1 entries should be h2